<?php
/**
 * Template for displaying Image
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>
<?php get_header(); ?>

<?php $options = materialike_define_theme_options(); ?>

<div class="entries-attachment">

	<div class="summary summary-attachment parallax">
		<div class="summary-row">
			<div class="summary-cell">
				<div class="inside">
					<h2 class="grandhead grandhead-<?php materialike_single_attr(); ?> title"><?php materialike_single_title(); ?></h2>
				</div>
			</div>
		</div>
		<?php materialike_the_image( $options['attachment_image']['value'], 'none', 'viewer-fixed parallax-object' ); ?>
	</div>

	<div class="inside">

<?php

	materialike_layout( 'before' );

	if ( have_posts() ) :

		while ( have_posts() ) : the_post();
			get_template_part( 'content/content', 'attachment' );
		endwhile;
	
	else :

		get_template_part( 'content/content', 'notfound' );
	
	endif;

	materialike_layout( 'after' );

?>

	</div>

</div>

<?php get_footer(); ?>