<?php
/**
 * Template for displaying Comments
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>

<div class="comments armored shade-level-3">

	<h2 class="comment-title"><?php _e( 'Comments' ); ?></h2>

<?php if( have_comments() ) : ?>

	<div class="content">

		<ol class="comment-tree">
<?php
	wp_list_comments( array(
		'style'       => 'ol',
		'short_ping'  => true,
		'avatar_size' => 56,
	) ); ?></ol>

	</div>

<?php endif; ?>

<?php if( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

	<div class="content">
		<p class="no-comments"><?php _e( 'Comments are closed.', 'materialike' ); ?></p>
	</div>

<?php endif; ?>

	<div class="content">

<?php
	comment_form( array(
		'class_submit' => 'ripple shade-level-3',
	) ); ?>

	</div>

</div>
