<?php
/**
 * Sub Template File - Content Not Found
 *
 * @package Materialike
 * @subpackage Materialike
 */
 ?>

<article id="entry-none" class="entry-notfound armored shade-level-3">
	<section class="content">

<?php if ( is_search() ) : ?>

		<p><?php _e( 'Sorry but, this keywords is not found.', 'materialike' ); ?></p>
		<p><?php _e( 'Looking for a different keywords from the form below, or look at another page from other navigation.', 'materialike' ); ?></p>

<?php else : ?>

		<p><?php _e( 'Sorry but, this page is not found.', 'materialike' ); ?></p>
		<p><?php _e( 'The page has been deleted or does not exist.', 'materialike' ); ?></p>
		<p><?php _e( 'Looking for a keywords from the form below, or look at another page from other navigation.', 'materialike' ); ?></p>

<?php endif; ?>

		<?php get_search_form(); ?>

	</section>
</article>