<?php
/**
 * Sub Template File - Content Single
 *
 * @package Materialike
 * @subpackage Materialike
 */
 ?>

<article id="entry-<?php the_ID(); ?>" class="entry-single armored shade-level-3">

	<header class="header">

		<h1 class="post-title"><?php the_title(); ?></h1>
		<div class="attribute">
			<time class="post-date"><?php echo get_the_date(); ?></time>
			<div class="post-terms">
				<?php materialike_the_category(); ?>
				<?php materialike_the_tags(); ?>
			</div>
		</div>

	</header>
	<section class="content">

		<div class="editor">
			<?php materialike_entry_eyecatch( 'none' ); ?>
			<?php the_content(); ?>
		</div>

		<?php materialike_entry_breaker() ?>

	</section>

	<?php edit_post_link(''); ?>

</article>