<?php
/**
 * Header template for the theme
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width,initial-scale=1.0" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>

</head>

<body>
<?php materialike_loading_script(); ?>

<div id="container">
	<header id="header">
		<div class="signature shade-level-1">
			<?php materialike_extra_description(); ?>
			<?php materialike_extra_logo(); ?>
		</div>
		<nav class="navigation navigation-global shade-level-1">
			<?php materialike_nav_menu( 'global' ); ?>
		</nav>
	</header>

	<section id="contents">
		<div class="searchask">
			<div class="searchask-button">
				<a href="#" class="button button-icon ripple shade-level-2"></a>
			</div>
			<div class="searchask-object armored shade-level-1">
				<?php get_search_form(); ?>
			</div>
		</div>
