/**
 * Materialike Script Customize Viusal
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function(api){

	api.controlConstructor.select = api.Control.extend({
		ready: function(){
			if(this.id === 'visual_preset_control'){

				var color_data, prefix_visual = 'visual_', prefix_control = 'control_';

				this.setting.bind('change', function(val){

					color_data = 'background_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'title_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'first_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'second_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'symbol_first_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'symbol_first_dim_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'symbol_second_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'symbol_second_dim_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'highlight_block_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'highlight_inline_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'underground_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

					color_data = 'cation_color';
					api(prefix_visual + color_data).set(visual_preset[val].colors[color_data]);
					api.control(prefix_visual + prefix_control + color_data).container.find('.color-picker-hex')
						.data('data-default-color', visual_preset[val].colors[color_data])
						.wpColorPicker('defaultColor', visual_preset[val].colors[color_data]);

				});
			}
		}
	});

})(wp.customize);
