/**
 * Materialike Script Agent
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

var agent = (function(){
	var setVer = 'new';
	var userAgent, appVersion;

	return{
		register: function(){
			userAgent = window.navigator.userAgent.toLowerCase();
			appVersion = window.navigator.appVersion.toLowerCase();
			if (userAgent.indexOf('msie') > -1){
				if (appVersion.indexOf('msie 6.0') > -1
				|| appVersion.indexOf('msie 7.0') > -1
				|| appVersion.indexOf('msie 8.0') > -1){
					setVer = 'regacy';
				}
			}
		},
		get: function(){
			var ret = '';
			if (userAgent.indexOf('msie') > -1){
				if (appVersion.indexOf('msie 6.0') > -1){
					ret = 'ie6';
				}
				else if (appVersion.indexOf('msie 7.0') > -1){
					ret = 'ie7';
				}
				else if (appVersion.indexOf('msie 8.0') > -1){
					ret = 'ie8';
				}
				else if (appVersion.indexOf('msie 9.0') > -1){
					ret = 'ie9';
				}
				else if (appVersion.indexOf('msie 10.0') > -1){
					ret = 'ie10';
				}
				else {
					ret = 'unknown';
				}
			}
			else if (userAgent.indexOf('edge/') > -1){
				ret = 'edge';
			}
			else if (userAgent.indexOf('trident/7.0') > -1){
				ret = 'ie11';
			}
			else if (userAgent.indexOf('firefox') > -1){
				ret = 'firefox';
			}
			else if (userAgent.indexOf('opera') > -1){
				ret = 'opera';
			}
			else if (userAgent.indexOf('chrome') > -1){
				ret = 'chrome';
			}
			else if (userAgent.indexOf('safari') > -1){
				ret = 'safari';
			}
			else {
				ret = 'unknown';
			}
			return ret;
		},
		product: function(){
			var ret = '';
			if(userAgent.indexOf('iphone') > -1){
				ret = 'iphone';
			}
			else if(userAgent.indexOf('ipod') > -1){
				ret = 'ipod';
			}
			else if(userAgent.indexOf('ipad') > -1){
				ret = 'ipad';
			}
			else if(userAgent.indexOf('windows') > -1){
				if(userAgent.indexOf('phone') > -1){
					ret = 'windowsphone';
				}else if(userAgent.indexOf('touch') > -1){
					ret = 'windowstablet';
				}else{
					ret = 'windows';
				}
			}
			else if(userAgent.indexOf('android') > -1){
				if(userAgent.indexOf('mobile') > -1){
					ret = 'androidphone';
				}else if(userAgent.indexOf('mobile') < 0){
					ret = 'androidtablet';
				}else{
					ret = 'android';
				}
			}
			else if(userAgent.indexOf('blackberry') > -1){
				ret = 'otherphone';
			}
			else if(userAgent.indexOf('kindle') > -1
			|| userAgent.indexOf('kindle') > -1
			|| userAgent.indexOf('playbook') > -1){
				ret = 'othertablet';
			}
			else if(userAgent.indexOf('mobile') > -1
			|| userAgent.indexOf('phone') > -1){
				ret = 'otherphone';
			}
			else if(userAgent.indexOf('tablet') > -1){
				ret = 'othertablet';
			}
			else{
				ret = 'unset';
			}
			return ret;
		},
		device: function(){
			var ret = this.product();
			if(ret == 'iphone' || ret == 'ipod'
			|| ret == 'windowsphone'
			|| ret == 'androidphone'
			|| ret == 'otherphone'){
				ret = 'phone';
			}
			else if(ret == 'ipad'
			|| ret == 'windowstablet'
			|| ret == 'androidtablet'
			|| ret == 'othertablet'){
				ret = 'tablet';
			}
			else{
				ret = 'unset';
			}
			return ret;
		},
		reffer: function(){
			return setVer;
		}
	};
})();

agent.register();
