<?php
/**
 * Template for displaying all single posts
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>
<?php get_header(); ?>

<?php $options = materialike_define_theme_options(); ?>

<div class="entries-single">

	<div class="summary summary-single parallax">
		<div class="summary-row">
			<div class="summary-cell">
				<div class="inside">
					<h2 class="grandhead grandhead-<?php materialike_single_attr(); ?> title"><?php materialike_single_title(); ?></h2>
					<?php materialike_breadlist(); ?>
				</div>
			</div>
		</div>
		<?php materialike_the_image( $options['post_image']['value'], 'none', 'viewer-fixed parallax-object' ); ?>
	</div>

	<div class="inside">

<?php

	materialike_layout( 'before' );

	if ( have_posts() ) :

		while ( have_posts() ) : the_post();
			get_template_part( 'content/content', 'single' );

			materialike_entry_pager();

			if( materialike_on_show_comments() && ( comments_open() || get_comments_number() ) ) :
				comments_template();
			endif;
		endwhile;

	else :

		get_template_part( 'content/content', 'notfound' );
	
	endif;

	materialike_layout( 'after' );

?>

	</div>

</div>

<?php get_footer(); ?>