<?php
/**
 * Sub Template File - Content
 *
 * @package Materialike
 * @subpackage Materialike
 */
 ?>

<article id="entry-<?php the_ID(); ?>" class="entry-content armored shade-level-3">

	<div class="eyecatch">
	<?php if ( has_post_thumbnail() ) : ?>
		<?php materialike_entry_eyecatch( 'none', get_the_permalink(), materialike_more_name(), 'glasser' ); ?>
	<?php else : ?>
		<a href="<?php the_permalink(); ?>" class="post-image overer"><span class="icon shade-text-level-3"></span></a>
	<?php endif; ?>
	</div>

	<header class="header">
		<div class="droptask">
			<h1 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
			<div class="dropmenu">
				<div class="dropmenu-opener"></div>
				<ul class="dropmenu-list armored shade-level-2">
					<li><a href="<?php echo get_month_link( get_the_date( 'Y' ), get_the_date( 'm' ) ); ?>" class="post-archive-link ripple"><?php echo get_the_date( _x( 'F Y', 'monthly archives date format' ) ); ?></a></li>
				</ul>
			</div>
		</div>
		<div class="attribute">
			<time class="post-date"><?php echo get_the_date(); ?></time>
			<div class="post-terms">
				<?php materialike_the_category(); ?>
				<?php materialike_the_tags(); ?>
			</div>
		</div>
	</header>

	<section class="content">
		<p class="excerpt"><?php echo get_the_excerpt(); ?></p>
		<?php materialike_more_link( materialike_more_name(), 'more-link ripple' ); ?>
	</section>

	<?php edit_post_link(''); ?>

</article>
