/**
 * Materialike Script Media Upload
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	//var media_uploader;
	var media_parent_element;

	$('input:button.materialike-media-button').click(function(e){
		e.preventDefault();
		media_parent_element = $(this).parent('.materialike-media-parent');
		media_type_strings = null;
		media_title_strings = null;
		media_text_strings = null;
		media_type_strings = $(this).attr('data-mtype');
		media_title_strings = $(this).attr('data-mtitle');
		media_select_strings = $(this).attr('data-mselect');
		//if( media_uploader ){
		//	media_uploader.open();
		//	return;
		//}
		var media_uploader = wp.media({
			title   : media_title_strings,
			library : { type: media_type_strings },
			button  : { text: media_select_strings },
			multiple: false
		});
		media_uploader.on('select', function() {
			var media = media_uploader.state().get('selection');
			media.each(function(file){
				media_parent_element.children('input:hidden.materialike-media-holder').val('');
				media_parent_element.children('.materialike-media-display').empty();
				media_parent_element.children('input:hidden.materialike-media-holder').val(file.id);
				if( null != file.attributes.filename.match(/\.mp4$|\.webm$/g) )
					media_parent_element.children('.materialike-media-display').prepend('<span><span class="dashicons dashicons-video-alt2"></span> ' + file.attributes.filename + '</span>');
				else
					media_parent_element.children('.materialike-media-display').prepend('<img src="' + file.attributes.sizes.full.url + '">');
			});
		});
		media_uploader.open();
	});

	$('input:button.materialike-media-button-delete').click( function() {
		media_parent_element = $(this).parent('.materialike-media-parent');
		media_parent_element.children('input:hidden.materialike-media-holder').val('');
		media_parent_element.children('.materialike-media-display').empty();

		var message = media_parent_element.children('.materialike-media-display').attr('data-message');
		media_parent_element.children('.materialike-media-display').append('<span class="dashicons dashicons-images-alt2"></span> ' + message);
	});

})(jQuery);