/**
 * Materialike Script Select By
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.selectby = function(options){
		var option = {
		};
		var static = {
			selectby: 'selectby',
			active: 'selectby-active',
		};
		var inc = $(this);

		var selectby = (function(){
			return{
				init: function(){
					inc.children().not('select').addClass(static.selectby);
					this.set(inc.children('select'));
					this.clip();
				},
				clip: function(){
					inc.children('select').change(function(){
						selectby.set($(this));
					});
				},
				set: function(target){
					var s = target.val();
					target.siblings().removeClass(static.active);
					target.siblings('#' + s).addClass(static.active);
				}
			};
		})();

		selectby.init();

		return(this);
	};

})(jQuery);
