/**
 * Materialike Loading
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.loading = function(options){
		var option = {};
		var static = {
			loaded: 'loaded',
		};
		var config = $.extend(option, options);
		var inc = $(this), si = null;

		var loading = (function(){
			return{
				init: function(){
					this.clip();
				},
				clip: function(){
					$(window).bind('load', function(){
						inc.children().remove();
						inc.addClass(static.loaded);
					});
				},
			};
		})();

		loading.init();

		return(this);
	};

})(jQuery);
