/**
 * Materialike Script Modal Nav
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.modalnav = function(options){
		var option = {};
		var static = {
			nav: 'modalnav',
			opened: 'modalnav-opened',
		};
		var config = $.extend(option, options);
		var inc = $(this), push = '';

		var modalnav = (function(){
			return{
				init: function(){
					inc.addClass(static.nav);
					this.clip();
				},
				clip: function(){
					$('.' + static.nav).children(':first-child').bind('click', function(e){
						push = $(this);
					});
					$(document).bind('touchstart', function(e){
						if($(e.target).closest('.' + static.nav).length === 0){
							$('.' + static.nav).removeClass(static.opened);
						}
					});
					$(document).bind('click', function(e){
						if(push !== ''){
							if(e.target === push.get(0)){
								$('.' + static.nav).removeClass(static.opened);
								push.parent('.' + static.nav).addClass(static.opened);
								if(push.get(0).tagName === 'A') return false;
							}else if($(e.target).closest('.' + static.nav).length === 0){
								$('.' + static.nav).removeClass(static.opened);
							}
						}
					});
				}
			};
		})();

		modalnav.init();

		return(this);
	};

})(jQuery);
