/**
 * Materialike Script Navigator
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.navigators = function(options){
		var option = {
			wait: 5000,
		};
		var static = {
			key: 'navigator-actions',
			active: 'navigator-actions-active'
		};
		var config = $.extend(option, options);
		var inc = $(this), st;

		var navigators = (function(){
			return{
				init: function(){
					inc.addClass(static.key);
					this.clip();
				},
				clip: function(){
					$(window).bind( ((agent.device() == 'tablet' || agent.device() == 'phone') ? 'touchmove' : 'mousemove') , function(){
						clearTimeout(st);
						inc.addClass(static.active);
						st = setTimeout(function(){
							inc.removeClass(static.active);
						}, config.wait);
					});
				},
			};
		})();

		navigators.init();

		return(this);
	};

})(jQuery);
